# class UIServer | Graphical server for progress information with an optional all-in-one progress window. More...
Internal Use Only
Definition | `#include <uiserver.h>`
Inherits | DCOPObject (dcop) [public ], KMainWindow (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- UIServer ()
- virtual ~UIServer ()

#### Protected Methods

- ProgressItem* findItem ( int id )
- void closeEvent ( QCloseEvent * )
- void setItemVisible ( ProgressItem * item, bool visible )
- void readSettings ()
- void writeSettings ()

#### Protected Slots

- void slotUpdate ()
- void cancelCurrent ()
- void slotToggleDefaultProgress ( QListViewItem * )
- void slotSelection ()
- void slotJobCanceled ( ProgressItem * )

#### Protected Members

- QTimer* updateTimer
- ListProgress* listProgress
- KToolBar::BarPosition toolbarPos
- QString properties

## Detailed Description

It's purpose is to show progress of IO operations. There is only one instance of this window for all jobs.

All IO operations ( jobs ) are displayed in this window, one line per operation. User can cancel operations with Cancel button on toolbar.

Double clicking an item in the list opens a small download window ( DefaultProgress ).

UIServer () | ### UIServer

~UIServer () | ### ~UIServer

[virtual]

int newJob ( QCString appId, bool showProgress ) | ### newJob

[k_dcop]

Signal a new job

Parameters:

the | DCOP application id of the job's parent application
showProgress | whether to popup the progress for the job. Usually true, but may be false when we use kio_uiserver for other things, like SSL dialogs.

Returns: the job id

See also: KIO::Observer::newJob

QByteArray openPassDlg ( const KIO::AuthInfo &info ) | ### openPassDlg

[k_dcop]

Prompts the user for authorization info.

Parameters:

info | See `AuthInfo` in kio/global.cpp.

Returns: a modified and seralized authorization info object.

int messageBox ( int id, int type, const QString &text, const QString &caption, const QString &buttonYes, const QString &buttonNo ) | ### messageBox

[k_dcop]

Popup a message box.

QByteArray open_RenameDlg ( int id, const QString & caption, const QString& src, const QString & dest, int mode, unsigned long sizeSrc, unsigned long sizeDest, unsigned long ctimeSrc, unsigned long ctimeDest, unsigned long mtimeSrc, unsigned long mtimeDest ) | ### open_RenameDlg

[k_dcop]

See renamedlg.h

Returns: serialized answer: (RenameDlg_Result result, QString newDest)

int open_SkipDlg ( int id, int multi, const QString & error_text ) | ### open_SkipDlg

[k_dcop]

See skiplg.h

void setListMode ( bool list ) | ### setListMode

[k_dcop]

Switch to or from list mode - called by the kcontrol module

void slotUpdate () | ### slotUpdate

[protected slots slot]

void cancelCurrent () | ### cancelCurrent

[protected slots slot]

void slotToggleDefaultProgress ( QListViewItem * ) | ### slotToggleDefaultProgress

[protected slots slot]

void slotSelection () | ### slotSelection

[protected slots slot]

void slotJobCanceled ( ProgressItem * ) | ### slotJobCanceled

[protected slots slot]

ProgressItem* findItem ( int id ) | ### findItem

[protected]

void closeEvent ( QCloseEvent * ) | ### closeEvent

[protected]

Reimplemented from KMainWindow.

void setItemVisible ( ProgressItem * item, bool visible ) | ### setItemVisible

[protected]

QTimer* updateTimer | ### updateTimer

[protected]

ListProgress* listProgress | ### listProgress

[protected]

KToolBar::BarPosition toolbarPos | ### toolbarPos

[protected]

QString properties | ### properties

[protected]

void readSettings () | ### readSettings

[protected]

void writeSettings () | ### writeSettings

[protected]

- Author: Matej Koss <koss@miesto.sk>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.